MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024428Open CASCADE[OCCT] OCCT:Codingpublic2013-12-02 18:282014-01-08 11:50
Reporterbugmaster 
Assigned Toapn 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024428: Implementation of LGPL license
DescriptionTo be done
1. Update headers files of OCCT
2. Upgrading windows package
3. Upgrading install windows procedure
4. Update source package
5. Upgrade distributive of 3rdparty with LICENSE files
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024516closedbugmaster Copyright information has been corrupted within some headers 

-  Notes
(0027082)
bugmaster (administrator)
2013-12-04 16:59

Dear ABV,

CR24428 branch has been created. This branch contains update header and Copyright date changes of OCCT source files including samples.

CR24428_legal branch has been created. This branch contains legal files of OCCT.

Please revise
(0027096)
apn (administrator)
2013-12-05 12:30

Dear BugMaster,

Branch CR24428 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: dc6d757b75327d1026e1e476fe96bfe8f0536a20

Warnings:
No warnings

Regressions:
No regressions

Improvements:
No improvements

Testing on Linux:
Total MEMORY difference: 358365468 / 358294616
Total CPU difference: 43746.88000000001 / 45228.58000000018

Testing on Windows:
Total MEMORY difference: 412930608 / 412528388
Total CPU difference: 28788.65625 / 33996.0625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 973c2be1
Timestamp: 2013-12-04 17:05:36
Author: bugmster
Committer: apn
Details ] Diff ]
0024428: Implementation of LGPL license

The copying permission statements at the beginning of source files updated to refer to LGPL.
Copyright dates extended till 2014 in advance.
mod - src/AIS/AIS_DiameterDimension.hxx Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.cxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.hxx Diff ] File ]
mod - src/Aspect/Aspect_Convert.hxx Diff ] File ]
mod - src/Bnd/Bnd_Sphere.cdl Diff ] File ]
mod - src/Bnd/Bnd_Sphere.cxx Diff ] File ]
mod - src/Bnd/Bnd_Sphere.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderArea.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderArea.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderShape.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderShape.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckResult.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckResult.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ListOfCheckResult.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_8.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_SectionAttribute.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_SectionAttribute.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_SectionAttribute.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireEdgeSet.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireEdgeSet.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireEdgeSet.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff ] File ]
mod - src/BOPCol/BOPCol.cdl Diff ] File ]
mod - src/BOPCol/BOPCol_Array1.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_BaseAllocator.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerMapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerReal.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeAddress.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfTransientAddress.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfIntegerListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeBox.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedMapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedMapOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_ListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_ListOfListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_ListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfOrientedShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_PInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_PListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_SequenceOfPnt2d.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_SequenceOfReal.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_SequenceOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_VectorOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_BoxBndTree.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_BoxBndTree.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_CoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfIntegerListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPassKeyListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockCommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_FaceInfo.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_FaceInfo.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_FaceInfo.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedMapOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexRange.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_IndexRange.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexRange.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListIteratorOfListOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListOfPave.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfCommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPassKey.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPave.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKey.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_PassKey.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKey.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyBoolean.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyBoolean.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyBoolean.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyMapHasher.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyMapHasher.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyMapHasher.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_Pave.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_Pave.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Pave.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveMapHasher.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_PaveMapHasher.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveMapHasher.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_Point.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_Point.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Point.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Tools.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_Tools.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Tools.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfCurve.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfFaceInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfIndexRange.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfFF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVV.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfListOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfPoint.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfShapeInfo.hxx Diff ] File ]
mod - src/BOPInt/BOPInt.cdl Diff ] File ]
mod - src/BOPInt/BOPInt_Context.cdl Diff ] File ]
mod - src/BOPInt/BOPInt_Context.cxx Diff ] File ]
mod - src/BOPInt/BOPInt_ShrunkRange.cdl Diff ] File ]
mod - src/BOPInt/BOPInt_ShrunkRange.cxx Diff ] File ]
mod - src/BOPInt/BOPInt_Tools.cdl Diff ] File ]
mod - src/BOPInt/BOPInt_Tools.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_ObjCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.cdl Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_TolerCommands.cxx Diff ] File ]
mod - src/BOPTools/BOPTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_2.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_ConnexityBlock.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_CoupleOfShape.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_DataMapOfShapeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_EdgeSet.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_EdgeSet.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_EdgeSet.lxx Diff ] File ]
mod - src/BOPTools/BOPTools_ListOfConnexityBlock.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ListOfCoupleOfShape.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ListOfEdgeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ListOfShapeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_MapOfSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_Set.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_Set.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_Set.lxx Diff ] File ]
mod - src/BOPTools/BOPTools_SetMapHasher.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_SetMapHasher.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_SetMapHasher.lxx Diff ] File ]
mod - src/BOPTools/BOPTools_ShapeSet.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_ShapeSet.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_ShapeSet.lxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_BndBoxTreeSelector.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_CellFilter.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_VertexInspector.hxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_Poly.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SeqOfSolution.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SolutionElem.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SupportType.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PluginEntryType.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VectorOfVertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexCellFilter.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cdl Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.hxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_ChamferAPI.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_ChamferAPI.hxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.hxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAPI.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_LocalPool.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_LocalPool.mm Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_BoxDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_BoxDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_CylinderDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_CylinderDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_FilletDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_FilletDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_PointDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_PointDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_PrismDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_PrismDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SelectionDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_SelectionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SphereDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_SphereDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff ] File ]
mod - src/DNaming/ModelDefinitions.hxx Diff ] File ]
mod - src/Draw/Draw_Window_1.mm Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/Extrema/Extrema_HUBTreeOfSphere.hxx Diff ] File ]
mod - src/Font/Font.cdl Diff ] File ]
mod - src/Font/Font_FontMgr.cdl Diff ] File ]
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/Font/Font_NameOfFont.hxx Diff ] File ]
mod - src/Font/Font_NListOfSystemFont.hxx Diff ] File ]
mod - src/Font/Font_SystemFont.cdl Diff ] File ]
mod - src/Font/Font_SystemFont.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_TestProjCommands.cxx Diff ] File ]
mod - src/gp/gp_Quaternion.cdl Diff ] File ]
mod - src/gp/gp_Quaternion.cxx Diff ] File ]
mod - src/gp/gp_Quaternion.lxx Diff ] File ]
mod - src/gp/gp_QuaternionNLerp.hxx Diff ] File ]
mod - src/gp/gp_QuaternionSLerp.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_BufferType.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CGraduatedTrihedron.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CGraduatedTrihedron.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PtrFrameBuffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Vertex.hxx Diff ] File ]
mod - src/HLRAppli/HLRAppli.cdl Diff ] File ]
mod - src/HLRAppli/HLRAppli_ReflectLines.cdl Diff ] File ]
mod - src/HLRAppli/HLRAppli_ReflectLines.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.hxx Diff ] File ]
mod - src/Image/Image_Color.hxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/Image/Image_Diff.hxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/Image/Image_PixMapData.hxx Diff ] File ]
mod - src/Image/Image_PixMap_Handle.hxx Diff ] File ]
mod - src/Intf/Intf_Interference.lxx Diff ] File ]
mod - src/Intf/Intf_InterferencePolygon2d.cxx Diff ] File ]
mod - src/Intf/Intf_Polygon2d.cdl Diff ] File ]
mod - src/Intf/Intf_Polygon2d.cxx Diff ] File ]
mod - src/Intf/Intf_Polygon2d.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_Polygo.lxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Array.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfCouples.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfEdges.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfSectionLines.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfStartPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTangentZones.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTriangles.hxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge_1.cxx Diff ] File ]
mod - src/MNaming/MNaming_NamingRetrievalDriver_2.cdl Diff ] File ]
mod - src/MNaming/MNaming_NamingRetrievalDriver_2.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefaultHasher.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineAlloc.hxx Diff ] File ]
mod - src/NCollection/NCollection_Haft.h Diff ] File ]
mod - src/NCollection/NCollection_LocalArray.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec2.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec4.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/NIS/NIS_Allocator.cxx Diff ] File ]
mod - src/NIS/NIS_Allocator.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Texture.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbIns.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbTBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbVBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ExtFBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ExtGS.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore12.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore13.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore14.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore15.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore20.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Light.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Matrix.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Matrix.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_NamedStatus.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PriorityList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PriorityList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_view.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextParam.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferEditor.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_1.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/OSD/OSD_MemInfo.cxx Diff ] File ]
mod - src/OSD/OSD_MemInfo.hxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.cxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.h Diff ] File ]
mod - src/OSD/OSD_PerfMeter.hxx Diff ] File ]
mod - src/PNaming/PNaming_Name_2.cdl Diff ] File ]
mod - src/PNaming/PNaming_Name_2.cxx Diff ] File ]
mod - src/PNaming/PNaming_Name_2.lxx Diff ] File ]
mod - src/PNaming/PNaming_Naming_2.cdl Diff ] File ]
mod - src/PNaming/PNaming_Naming_2.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionUnits.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionUnits.hxx Diff ] File ]
mod - src/QABugs/QABugs.cdl Diff ] File ]
mod - src/QABugs/QABugs.cxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_14.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_MyText.cdl Diff ] File ]
mod - src/QABugs/QABugs_MyText.cxx Diff ] File ]
mod - src/QABugs/QABugs_PresentableObject.cdl Diff ] File ]
mod - src/QABugs/QABugs_PresentableObject.cxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cdl Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/Standard/Standard_Assert.hxx Diff ] File ]
mod - src/Standard/Standard_CString.cxx Diff ] File ]
mod - src/Standard/Standard_CString.hxx Diff ] File ]
mod - src/Standard/Standard_DefineAlloc.hxx Diff ] File ]
mod - src/Standard/Standard_Integer.hxx Diff ] File ]
mod - src/Standard/Standard_PByte.hxx Diff ] File ]
mod - src/Standard/Standard_TypeDef.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_CMPLRS.edl Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_NMTool.cdl Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_NMTool.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.lxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_ExtendedString.cxx Diff ] File ]
mod - src/TCollection/TCollection_ExtendedString.lxx Diff ] File ]
mod - src/TNaming/TNaming_NCollections.hxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.cxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff ] File ]
occt: master 480bf81e
Timestamp: 2013-12-04 17:18:05
Author: bugmster
Committer: apn
Details ] Diff ]
0024428: Implementation of LGPL license

Update of OCCT samples source code due to moving to LGPL license
mod - samples/mfc/occtdemo/Projection/Projection_Presentation.h Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/State.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dApp.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/State.h Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/FSD_Archive.cxx Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.hxx Diff ] File ]
mod - samples/ocafsamples/TDataStd_Sample.cxx Diff ] File ]
mod - samples/ocafsamples/TDocStd_Sample.cxx Diff ] File ]
mod - samples/ocafsamples/TNaming_Sample.cxx Diff ] File ]
mod - samples/ocafsamples/TPrsStd_Sample.cxx Diff ] File ]
mod - samples/qt/VoxelDemo/inc/VoxelClient_VisDrawer.h Diff ] File ]
mod - samples/qt/VoxelDemo/src/VoxelClient_VisDrawer.cxx Diff ] File ]
mod - samples/tcl/DataExchangeDemo.tcl Diff ] File ]
mod - samples/tcl/ModelingDemo.tcl Diff ] File ]
mod - samples/tcl/VisualizationDemo.tcl Diff ] File ]
occt: master 47d9074a
Timestamp: 2013-12-13 12:50:27
Author: abv
Committer: apn
Details ] Diff ]
0024428: Implementation of LGPL license

OCCT documentation updated to refer to LGPL as applicable license
mod - dox/occdoc.tcl Diff ] File ]
mod - dox/overview/Overview.md Diff ] File ]
rm - LICENSE Diff ] File ]
add - LICENSE_LGPL_21.txt Diff ] File ]
add - OCCT_LGPL_EXCEPTION.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-02 18:28 bugmaster New Issue
2013-12-02 18:28 bugmaster Assigned To => bugmaster
2013-12-02 18:28 bugmaster Status new => feedback
2013-12-04 16:59 bugmaster Note Added: 0027082
2013-12-05 12:30 apn Note Added: 0027096
2013-12-18 11:49 bugmaster Status feedback => tested
2013-12-18 14:01 apn Changeset attached => occt master 47d9074a
2013-12-18 14:01 apn Changeset attached => occt master 480bf81e
2013-12-18 14:01 apn Changeset attached => occt master 973c2be1
2013-12-18 14:01 apn Assigned To bugmaster => apn
2013-12-18 14:01 apn Status tested => verified
2013-12-18 14:01 apn Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0
2014-01-08 11:50 kgv Relationship added related to 0024516
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker